// pages/home/me/yjfk/yjfk.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        ctt:'',
        yj:{
            contactWay: "",
            content: ""
        }

    },
    go2Reback(){
        wx.switchTab({
            url: '/pages/home/me/indexx',
          })
    },
    doExecYjfk(e){
        const contactWay = e.detail.value.contactWay;
        if (!/^1[3456789]\d{9}$/.test(contactWay)) {
            wx.showToast({
              title: '请输入正确的手机号码',
              icon: 'none'
            });
            return;
          }
        let form = e.detail.value
        req.postRequest('/api/v1/opinion',form).then((res)=>{
            console.log(res)
            if(res.data.code==200){
                console.log('反馈成功')
                wx.showToast({
                    title:'反馈提交成功',
                    icon: 'none',
                    duration: 1000
                })
      
            }else{
                wx.showToast({
                    title:'反馈提交失败',
                    icon: 'none',
                    duration: 1000
                })
            }
            console.log(this.userInfo);
           }).catch((err)=>{
            console.log(err);
        })
        wx.switchTab({
            url: '/pages/home/me/indexx',
          })
       /**
        * wx.switchTab({
          url: '/pages/home/me/indexx',
        }) */ 
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})